name: LCM1602
description: LCD module, 16 characters x 2 lines, HD44780 driver
keywords: display, LCD
# here a version with 3.3V power supply (e.g. with the IC on the side boosting to 5.0V) https://www.aliexpress.com/item/1-pieces-16-2-Character-LCD-Display-LCM-1602-16X2-162-blue-display-HD44780-character-3/32425471801.html

pinout:
  VSS: 1
  VDD: 2
  VO: 3
  RS: 4
  RnW: 5
  E: 6
  DB0: 7
  DB1: 8
  DB2: 9
  DB3: 10
  DB4: 11
  DB5: 12
  DB6: 13
  DB7: 14
  LED_A: 15
  LED_K: 16

properties:
  power: VDD, LED_A
  ground: VSS, LED_K
  bidir: DB0
  in: VO, RS, RnW, E

schematic:
  symbol: connector
  left: RS, RnW, E, DB0-7
  right: VO, LED_A, LED_K
  top: VDD
  bottom: VSS

housing:
  pattern: custom
  bodyWidth: 80.0
  bodyLength: 36.0
  height: 12.5

  # pins
  holeDiameter: 1.0
  padDiameter: 1.8
  pitch: 2.54
  rowCount: 1
  columnCount: 16
  rowDX: -12.95 # 80 / -2 + 8 + 7.5 * 2.54
  rowDY: -15.46 # 36 / -2 + 2.54

  # mounting hole
  holeDiameter1: 2.8
  padPosition1: -37.6, -15.6, 37.6, -15.6, -37.6, 15.6, 37.6, 15.6 # 2.4 from the corner
  padDiameter1: 0
